Pricefx REST API Reference
- 3. Delete an Upload Slot
The Pricefx Backend API
Request
Uploads a file and adds it to the specified product.
To upload a file you need to retrieve the slot ID using the /uploadmanager.newuploadslot (Create an Upload Slot) endpoint.
Information
To upload a file you need to perform the following actions:
- Create an Upload Slot
- Upload a File
- Delete an Upload Slot
- Mock serverhttps://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/productimages.upload/{slot_id}/{sku}
- URL:https://companynode.pricefx.com/pricefx/companypartition/productimages.upload/{slot_id}/{sku}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
-u <username>:<password> \
'https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/productimages.upload/2665/{sku}' \
-H 'Content-Type: multipart/form-data' \
-F file=stringRequest
Deletes the upload slot that has been created using the /uploadmanager.newuploadslot (Create an Upload Slot) method and retrieves the file upload status, file version and other details.
Information
To upload a file you need to perform the following actions:
- Create an Upload Slot
- Upload a File
- Delete an Upload Slot
- Mock serverhttps://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/uploadmanager.deleteslot/{slot_id}
- URL:https://companynode.pricefx.com/pricefx/companypartition/uploadmanager.deleteslot/{slot_id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
-u <username>:<password> \
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/uploadmanager.deleteslot/2665{ "response": { "node": "string", "csrfToken": "string", "data": [ … ], "status": 0 } }
Request
Deletes an upload slot and returns upload status information. Same behavior and response shape as GET /uploadmanager.deleteslot/{slot_id}.
Information
To upload a file you need to perform the following actions:
- Create an Upload Slot
- Upload a File
- Delete an Upload Slot
- Mock serverhttps://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/uploadmanager.deleteslot/{slot_id}
- URL:https://companynode.pricefx.com/pricefx/companypartition/uploadmanager.deleteslot/{slot_id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
-u <username>:<password> \
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/uploadmanager.deleteslot/2665{ "response": { "data": [ … ], "status": 0 } }
Request
Uploads a file and adds it to the specified product.
To upload a file you need to retrieve the slot ID using the /uploadmanager.newuploadslot (Create an Upload Slot) endpoint.
Information
To upload a file you need to perform the following actions:
- Create an Upload Slot
- Upload a File
- Delete an Upload Slot
- Mock serverhttps://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/productimages.upload/{slot_id}/{sku}
- URL:https://companynode.pricefx.com/pricefx/companypartition/productimages.upload/{slot_id}/{sku}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
-u <username>:<password> \
'https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/productimages.upload/2665/{sku}' \
-H 'Content-Type: multipart/form-data' \
-F file=stringRequest
Deletes the upload slot that has been created using the /uploadmanager.newuploadslot (Create an Upload Slot) method and retrieves the file upload status, file version and other details.
Information
To upload a file you need to perform the following actions:
- Create an Upload Slot
- Upload a File
- Delete an Upload Slot
- Mock serverhttps://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/uploadmanager.deleteslot/{slot_id}
- URL:https://companynode.pricefx.com/pricefx/companypartition/uploadmanager.deleteslot/{slot_id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
-u <username>:<password> \
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/uploadmanager.deleteslot/2665{ "response": { "node": "string", "csrfToken": "string", "data": [ … ], "status": 0 } }
Request
Deletes an upload slot and returns upload status information. Same behavior and response shape as GET /uploadmanager.deleteslot/{slot_id}.
Information
To upload a file you need to perform the following actions:
- Create an Upload Slot
- Upload a File
- Delete an Upload Slot
- Mock serverhttps://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/uploadmanager.deleteslot/{slot_id}
- URL:https://companynode.pricefx.com/pricefx/companypartition/uploadmanager.deleteslot/{slot_id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
-u <username>:<password> \
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/uploadmanager.deleteslot/2665{ "response": { "data": [ … ], "status": 0 } }
CommentsCopy for LLM Copy page as Markdown for LLMs View as Markdown Open this page as Markdown Open in ChatGPT Get insights from ChatGPT Open in Claude Get insights from Claude Connect to Cursor Install MCP server on Cursor Connect to VS Code Install MCP server on VS Code